#include<ESP8266WiFi.h>
#include<ESP8266WebServer.h>

const char* ssid = "FabLab 2.4Ghz";
const char* password = "innovate";
int ledPin = D7; // GPIO13
//ESP8266WebServer server(80);
WiFiServer server(80);

IPAddress AP_IP(192,168,4,1);     //ip address of the access point
IPAddress netMsk(255,255,255,0);  //netmask of the access point
void setup() {
  pinMode(ledPin, INPUT);
  Serial.begin(9600);
  // connecting to the cloud
  WiFi.mode(WIFI_AP_STA);                 //setting WiFi mode of the ESP8266 to Access point and station.
  WiFi.softAPConfig(AP_IP,AP_IP,netMsk);  //configuring the DHCP of the access point
  WiFi.softAP("Fabcademy","12345678");
  Serial.println((WiFi.softAPIP()));
  WiFi.begin(ssid, password);
 
  Serial.println();
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);
   
  WiFi.begin(ssid, password);
   
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print("#");
  }
  Serial.println("");
  Serial.println("WiFi connected");

  //generating wifi
  delay(3000);
  server.begin();
    Serial.println("Server started");
 
  // Print the IP address
  Serial.print("Use this URL to connect: ");
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
  
}

void loop() {
 Serial.println((WiFi.softAPgetStationNum()));
 delay(5000);


 // Check if a client has connected
  WiFiClient client = server.available();
  if (!client) {
    return;
  }
 
  // Wait until the client sends some data
  Serial.println("new client");
  while(!client.available()){
    delay(1);
  }
 
  // Read the first line of the request
  String request = client.readStringUntil('\r');
  Serial.println(request);
  client.flush();
 
// Set ledPin according to the request
//digitalWrite(ledPin, value);
 
  // Return the response
  client.println("HTTP/1.1 200 OK");
  client.println("Content-Type: text/html");
  client.println(""); //  do not forget this on
  if(ledPin==LOW)
     client.println("a"); 
  else client.println("b"); 
 
  delay(1);
  Serial.println("Client disonnected");
  Serial.println("");
}
